: Class ToggleCellEditor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.widgets
Class ToggleCellEditor

    java.lang.Object
      |
      +--grendel.widgets.ToggleCellEditor

public class ToggleCellEditor
extends java.lang.Object
implements CellEditor, java.awt.event.ActionListener

Constructor Summary
`ToggleCellEditor()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addCellEditorListener(javax.swing.event.CellEditorListener aListener)`
`void` | `cancelCellEditing()`
`java.awt.Component` | `getCellEditorComponent()`
`java.lang.Object` | `getCellEditorValue()`
`javax.swing.JCheckBox` | `getCheckBox()`
`boolean` | `isCellEditable(java.util.EventObject aEvent)`
`void` | `removeCellEditorListener(javax.swing.event.CellEditorListener aListener)`
`void` | `setValue(java.lang.Object aObject, java.lang.Object aData, boolean aSelected)`
`boolean` | `shouldSelectCell(java.util.EventObject aEvent)`
`boolean` | `startCellEditing(java.util.EventObject aEvent)`
`boolean` | `stopCellEditing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleCellEditor

    public ToggleCellEditor()

Method Detail

### isCellEditable

    public boolean isCellEditable(java.util.EventObject aEvent)

### shouldSelectCell

    public boolean shouldSelectCell(java.util.EventObject aEvent)

### startCellEditing

    public boolean startCellEditing(java.util.EventObject aEvent)

  Specified by:
    startCellEditing in interface CellEditor

### stopCellEditing

    public boolean stopCellEditing()

### cancelCellEditing

    public void cancelCellEditing()

### setValue

    public void setValue(java.lang.Object aObject,
                         java.lang.Object aData,
                         boolean aSelected)

  Specified by:
    setValue in interface CellEditor

### getCellEditorComponent

    public java.awt.Component getCellEditorComponent()

  Specified by:
    getCellEditorComponent in interface CellEditor

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

### addCellEditorListener

    public void addCellEditorListener(javax.swing.event.CellEditorListener aListener)

### removeCellEditorListener

    public void removeCellEditorListener(javax.swing.event.CellEditorListener aListener)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### getCheckBox

    public javax.swing.JCheckBox getCheckBox()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD